HPTMV(4)

NAME
hptmv - HighPoint RocketRAID 182x device driver

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device hptmv

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    hptmv_load="YES"

DESCRIPTION
The hptmv driver provides support for HighPoint's RocketRAID 182x based RAID controller.

These devices support ATA disk drives and provide RAID0 (striping), RAID1 (mirroring), and RAID5 functionality.

HARDWARE
The hptmv driver supports the following ATA RAID controllers:

•   HighPoint's RocketRAID 182x series

NOTES
The hptmv driver only works on the i386 and amd64 platforms as it requires a binary blob object from the manufacturer which they only supply for these platforms. The hptmv driver does not work on i386 with pae(4) enabled.

SEE ALSO
kld(4), kldload(8), loader(8)

HISTORY
The hptmv device driver first appeared in FreeBSD 5.3.

AUTHORS
-nosplit The hptmv device driver was written by HighPoint Technologies, Inc., and ported to FreeBSD by Scott Long. This manual page was written by David E. O'Brien.

BUGS
The hptmv driver does not support manipulating the RAID from the OS, RAIDs need to be set up from the on-board BIOS.